#
# slpk01.rb
#
# $Id: slpk01.rb,v 1.1 2000/11/21 03:02:09 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn(-iws.abs)

DCL::slmgn(0.1, 0.1, 0.05, 0.05)      # <-- 第1レベルのマージン

DCL::sldiv('s', 3, 5)                 # <-- フレーム分割(第2レベル)
DCL::slmgn(0.05, 0.05, 0.05, 0.05)    # <-- 第2レベルのマージン
DCL::slrat(1.0, 1.0)                  # <-- 第2レベルの縦横比を指定
DCL::sgstxi(2)
DCL::sgstxs(0.1)

for i in 1..15
  DCL::sgfrm                          # <--
  DCL::slpwwr(1)                      # <    この中は普通に1ページ
  ctxt = format("FRAME%2.2d", i)      # <    描画するのと同じ
  DCL::sgtxv(0.5, 0.5, ctxt)          # <--
end

DCL::sgcls




